| OptFEM2DP1 Toolbox V1.2b2 Matlab/Octave Optimized P1-Lagrange Finite Element Method in 2D

- Main Page
- Related Pages
- Files

- File List
- File Members

All Files Functions Pages
Functions
StiffElasAssemblingP1OptV1.m File Reference

Assembly of the Stiffness Elasticity Matrix by -Lagrange finite elements using "OptV1" version (see report). More...

Go to the source code of this file.

## Functions
function K = | StiffElasAssemblingP1OptV1 (nq, nme, q, me, areas, lambda, mu, Num)
| Assembly of the Stiffness Elasticity Matrix by -Lagrange finite elements using "OptV1" version (see report).

## Detailed Description

Assembly of the Stiffness Elasticity Matrix by -Lagrange finite elements using "OptV1" version (see report).

Definition in file StiffElasAssemblingP1OptV1.m.

## Function Documentation

function K = StiffElasAssemblingP1OptV1 | ( |  | nq,
|  |  | nme,
|  |  | q,
|  |  | me,
|  |  | areas,
|  |  | lambda,
|  |  | mu,
|  |  | Num
| ) |  |

Assembly of the Stiffness Elasticity Matrix by -Lagrange finite elements using "OptV1" version (see report).

The Stiffness Elasticity Matrix is given by

where are -Lagrange vector basis functions. Here and are the elastic stress and strain tensors respectively.

Example

          Th=SquareMesh(10);
          lambda=1; mu=1;
          Num = 0;
          KK=StiffElasAssemblingP1OptV1(Th.nq,Th.nme,Th.q,Th.me,Th.areas,lambda,mu,Num);

See Also
  BuildIkFunc, BuildElemStiffElasMatOptV0Func

Copyright
  See License issues

Parameters

  nq | total number of nodes in the mesh, also denoted by .
  nme | total number of triangles, also denoted by .
  q | Array of vertices coordinates, array. is the -th coordinate of the -th vertex, and
  me | Connectivity array, array. is the storage index of the -th vertex of the -th triangle in the array , and .
  areas | Array of areas, array. areas(k) is the area of the -th triangle.
  lambda | the first Lame coefficient in Hooke's law
  mu | the second Lame coefficient in Hooke's law
  Num | 0 global alternate numbering with local alternate numbering (classical method), 1 global block numbering with local alternate numbering, 2 global alternate numbering with local block numbering, 3 global block numbering with local block numbering.

Return values

  K | stiffness elasticity sparse matrix

Definition at line 17 of file StiffElasAssemblingP1OptV1.m.